## texlive-20091011-source.tar.xz

=== libs/teckit/SFconv/Makefile ===
# SFconv - ultra quick-and-dirty piece of code....

expat_o = expat/xmlparse/xmlparse.o	\
	expat/xmlparse/hashtable.o	\
	expat/xmltok/xmlrole.o \
	expat/xmltok/xmltok.o

objs = SFconv.o ConvertUTF.o $(expat_o)

libs = -lstdc++ -lgcc -lc

CFLAGS = -I../source/Public-headers -I./expat/xmlparse -I./expat/xmltok -DXML_DTD

sfconv: $(objs) /usr/local/lib/TECkit.dylib
	$(CC) $(CFLAGS) -o $@ $(objs) /usr/local/lib/TECkit.dylib $(libs)

SFconv.o: SFconv.cpp sfReader.h
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

install: sfconv
	cp sfconv /usr/local/bin/

clean:
	rm -f $(objs) sfconv

=== texk/web2c/luatexdir/luafilesystem/Makefile ===
# $Id: Makefile,v 1.34 2008/05/07 19:06:37 carregal Exp $

T= lfs

CONFIG= ./config

include $(CONFIG)

SRCS= src/$T.c
OBJS= src/$T.o

lib: src/lfs.so

src/lfs.so: $(OBJS)
	export MACOSX_DEPLOYMENT_TARGET="10.3"; $(CC) $(CFLAGS) $(LIB_OPTION) -o src/lfs.so $(OBJS)

install:
	mkdir -p $(LUA_LIBDIR)
	cp src/lfs.so $(LUA_LIBDIR)

clean:
	rm -f src/lfs.so $(OBJS)

=== utils/asymptote/tests/output/Makefile ===
# Automated testing to see if the output of Asymptote scripts changes when the
# program is modified.

# How to call asy from the tests/output/name.out directory
ASY=../../../asy

TESTS=$(basename $(wildcard *.asy))

# This command performs the testing on all scripts.
diff: $(TESTS:=.diff)

# This builds the reference copies of the output using a trusted version of asy
ref: $(TESTS:=.ref)

$(TESTS:=.ref) $(TESTS:=.out): %: 
	@echo Generating $@
	@rm -rf $@
	@mkdir $@
	@cd $@; \
	$(ASY) -v -v -keep ../$(basename $@) \
	    >$(basename $@).stdout 2>$(basename $@).stderr; \
	ls >$(basename $@).ls; \
	rm -f *.dvi *.pdf *.gif *.jpg *.jpeg *.png

# Ignore lines with timestamps of the form hh:mm, since the time changes between
# runs.  This regex is fairly broad and it may need to be narrowed.
$(TESTS:=.diff): %.diff: %.out
	diff -I "[0-9][0-9]:[0-9][0-9]" -u $(@:.diff=.ref) $(@:.diff=.out)

clean:
	rm -rf *.out

# The reference copies should only be built at the start, or when the behaviour
# of Asymptote is intentionally changed, so they are not usually removed by make
# clean.
veryclean: clean
	rm -rf *.ref

# This tells make to build every dependency from scratch, ignoring the dates on
# files.
.PHONY: $(TESTS:=.ref) $(TESTS:=.out) $(TESTS:=.diff) diff ref clean veryclean

=== texk/web2c/luatexdir/zziplib/zzip/Makefile ===

top_srcdir = ../../../../libs/zziplib
srcdir = $(top_srcdir)/zzip

CC = gcc
AR = ar cru
RANLIB = ranlib

OBJECTS =dir.o err.o fetch.o file.o info.o memdisk.o mmapped.o \
         plugin.o stat.o write.o zip.o

_CFLAGS = -DHAVE_CONFIG_H -I.. -I../../../../libs/zziplib -I../../../../libs/zlib

XCFLAGS = $(_CFLAGS)

all: $(OBJECTS)
	$(AR) libzzip.a $(OBJECTS)
	$(RANLIB) libzzip.a

%.o: $(srcdir)/%.c 
	$(CC) $(CFLAGS) $(XCFLAGS) -c $< -o $@

=== libs/freetype/freetype-1.5/lib/arch/debugger/Makefile ===
# This file is part of the FreeType project.
#
# It builds the library and test programs for emx-gcc under OS/2 or under
# Unix with extra debugging capabilities.
#
# You will need GNU make.
#
# Use this file while in the lib directory with the following statements:
#
#   make -f arch/debugger/Makefile depend
#   make -f arch/debugger/Makefile
#
#
# Copyright 1996-2002 by
# David Turner, Robert Wilhelm, and Werner Lemberg.
#
# This file is part of the FreeType project, and may only be used, modified,
# and distributed under the terms of the FreeType project license,
# LICENSE.TXT.  By continuing to use, modify, or distribute this file you
# indicate that you have read the license and understand and accept it
# fully.

ARCH = arch/debugger
FT_MAKEFILE = $(ARCH)/Makefile

CC = gcc

#CFLAGS = -W -Wall -O0 -g -ansi -pedantic -I$(ARCH) -I. -Iextend

CFLAGS = -Wall -O0 -g -ansi -I$(ARCH) -I. -Iextend

#CFLAGS = -Wall -ansi -pedantic -O2 -s -I$(ARCH) -I. -Iextend

# Detect OS/2 to add the flag -DOS2 when compiling ttinterp.c
#
ifdef OS2_SHELL
OS := OS2
RM := del
else
OS := UNIX    # Unix build otherwise
RM := rm -f
endif

TTFILE   = ./ttfile.c
TTMEMORY = ./ttmemory.c
TTMUTEX  = ./ttmutex.c

PORT = $(TTFILE) $(TTMEMORY) $(TTMUTEX)

SRC_X = extend/ftxgasp.c extend/ftxkern.c  extend/ftxpost.c \
        extend/ftxcmap.c extend/ftxwidth.c extend/ftxsbit.c \
        extend/ftxgsub.c extend/ftxgpos.c  extend/ftxopen.c \
        extend/ftxgdef.c
OBJS_X = $(SRC_X:.c=.o)

SRC_M = ttapi.c     ttcache.c   ttcalc.c   ttcmap.c  ttdebug.c \
        ttgload.c   ttinterp.c  ttload.c   ttobjs.c \
        ttraster.c  ttextend.c  $(PORT)
OBJS_M = $(SRC_M:.c=.o) $(OBJS_X)

SRC_S = $(ARCH)/freetype.c
OBJ_S = $(SRC_S:.c=.o)
OBJS_S = $(OBJ_S) $(OBJS_X)

# We place the library file in the ARCH directory, so that it doesn't
# interfere with the normal build.
#
LIBTTF_A = $(ARCH)/libttf.a

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $< -D$(OS)

.PHONY: all debug clean distclean depend


all:
	$(MAKE) -f $(FT_MAKEFILE) LIB_FILES=OBJS_S $(LIBTTF_A)

debug:
	$(MAKE) -f $(FT_MAKEFILE) LIB_FILES=OBJS_M $(LIBTTF_A)

$(OBJ_S): $(SRC_S) $(SRC_M)

$(LIBTTF_A): $($(LIB_FILES))
	-$(RM) $@
	ar src $@ $^

clean:
ifdef OS2_SHELL
	-$(RM) $(subst /,\,$(LIBTTF_A))
	-$(RM) $(subst /,\,$(OBJS_S))
else
	-$(RM) $(LIBTTF_A)
	-$(RM) $(OBJS_S)
endif

distclean: clean
	-$(RM) dep.end

depend: $(SRC_S) $(SRC_M) $(SRC_X)
	$(CC) $(CFLAGS) -E -MM -I$(ARCH) -I. -Iextend $^ > dep.end

ifeq (dep.end,$(wildcard dep.end))
  include dep.end
endif

# end of Makefile

=== libs/graphite/debian/control ===
Source: silgraphite2.0
Priority: optional
Section: libs
Maintainer: Daniel Glassey <wdg@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: libgraphite-dev
Section: libdevel
Architecture: any
Depends: libgraphite3 (= ${Source-Version})
Conflicts: libsilgraphite-dev, libsilgraphite-2.0
Description: Development files for SILGraphite
 SILGraphite is a system that can be used to create and use "smart fonts"
 capable of displaying writing systems with various complex behaviors, such
 as: contextual shaping, ligatures, reordering, split glyphs,
 bidirectionality, stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to 
 other smart font rendering technologies with limited practical local
 extensability. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors.
 .
 The behavior of the SILGraphite rendering engine for a given writing system is
 specified through extra tables added to a TrueType font. These tables are
 generated by compiling a GDL (Graphite Description Language) source file into
 a font using grcompiler.
 .
 This package contains the headers and development libraries.

Package: libgraphite3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libsilgraphite-dev, libsilgraphite-2.0
Description: SILGraphite - a "smart font" rendering engine
 SILGraphite is a system that can be used to create and use "smart fonts"
 capable of displaying writing systems with various complex behaviors, such
 as: contextual shaping, ligatures, reordering, split glyphs,
 bidirectionality, stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to 
 other smart font rendering technologies with limited practical local
 extensability. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors.
 .
 The behavior of the SILGraphite rendering engine for a given writing system is
 specified through extra tables added to a TrueType font. These tables are
 generated by compiling a GDL (Graphite Description Language) source file into
 a font using grcompiler.
 .
 This package contains the shared library.

Package: libgraphite3-dbg
Priority: extra
Section: libdevel
Architecture: any
Depends: libgraphite3 (= ${Source-Version})
Conflicts: libsilgraphite-dev, libsilgraphite-2.0
Description: debugging symbols for SILGraphite
 SILGraphite is a system that can be used to create and use "smart fonts"
 capable of displaying writing systems with various complex behaviors, such
 as: contextual shaping, ligatures, reordering, split glyphs,
 bidirectionality, stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to 
 other smart font rendering technologies with limited practical local
 extensability. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors.
 .
 The behavior of the SILGraphite rendering engine for a given writing system is
 specified through extra tables added to a TrueType font. These tables are
 generated by compiling a GDL (Graphite Description Language) source file into
 a font using grcompiler.
 .
 This package contains the debug library.

=== libs/graphite/debian/rules ===
#!/usr/bin/make -f
#DEB_AUTO_UPDATE_DEBIAN_CONTROL:=yes

DEB_TAR_SRCDIR := silgraphite-2.3
include /usr/share/cdbs/1/rules/tarball.mk

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
#DEB_CONFIGURE_EXTRA_FLAGS := --enable-final
DEB_DH_MAKESHLIBS_ARGS_libgraphite3 := -V"libgraphite3 (>= 2.1+0449svn-1)"
DEB_COMPRESS_EXCLUDE := .rtf
DEB_DH_STRIP_ARGS := --dbg-package=libgraphite3
